Bug 110417 - busybox-anaconda's insmod doesn't work
busybox-anaconda's insmod doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: busybox (Show other bugs)
1.0
s390x Linux
high Severity medium
: ---
: ---
Assigned To: Daniel Walsh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 08:38 EST by Karsten Hopp
Modified: 2007-03-27 00:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 05:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2003-11-19 08:38:40 EST
Description of problem: 
The mainframe installer needs to load some modules before anaconda 
takes over. The insmod from busybox-anaconda doesn't work at all 
on mainframe. 
 
 
Version-Release number of selected component (if applicable): 
busybox-1.00-2 
 
How reproducible: 
always 
 
Steps to Reproduce: 
1. start mainframe installation 
2. try to load modules 
3.  
   
Actual results: 
insmod unpacks the module from the modules.cgz file and writes it to 
/tmp but can't load it. This is the last part of an strace after 
the writing to /tmp (insmod qdio.o): 
access("/tmp/qdio.o", R_OK)             = 0  
stat("/tmp/qdio.o", {st_mode=S_IFREG|0744, st_size=70872, ...}) = 0  
open("/tmp/qdio.o", O_RDONLY)           = 4  
mmap(NULL, 70872, PROT_READ|PROT_WRITE, MAP_PRIVATE, 4, 0) = 
0x10000001000  
init_module(" ELF   ", 0x114d8)         = -1 ENOENT (No such file or 
directory)  
exit_group(-1)                          = ?  
 
 
Expected results: 
normal module loading and initialization 
 
Additional info: 
This is with a 2.4 kernel. 
This holds up work on mainframe installer -> priority high
Comment 1 Daniel Walsh 2004-03-25 13:57:54 EST
Is this still a problem with the latest busybox?
Comment 2 Karsten Hopp 2004-06-14 05:52:39 EDT
I wonder what I was thinking when I filed this against busybox, 
we're using anaconda's builtin insmod feature and that one was 
broken. Phil fixed it last week. 

Note You need to log in before you can comment on or make changes to this bug.